%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-1.1.1
%global pypi_name pkginfo
%global prerel b1

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        1.2
Release:        %{?prerel:0.}1%{?prerel:.%{prerel}}%{?dist}
Summary:        Query PKG-INFO data from sdist archives

License:        Python
URL:            http://pypi.python.org/pypi/pkginfo/
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}%{?prerel}.tar.gz
BuildArch:      noarch
 
BuildRequires:  %{?scl_prefix_python}python-devel
BuildRequires:  %{?scl_prefix_python}python-sphinx
BuildRequires:  %{?scl_prefix_python}python-nose
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}

%description
This package provides an API for querying the metadata written by
distutils into the PKG-INFO directory of a source distriubtion (an
sdist).

%prep
%setup -q -n %{pypi_name}-%{version}%{?prerel}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs 
%{?scl:scl enable %{scl} - << \EOF}
sphinx-build docs html
%{?scl:EOF}
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%build
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py build
%{?scl:EOF}

%install
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py install --skip-build --root %{buildroot}
%{?scl:EOF}

%check
%{?scl:scl enable %{scl} - << \EOF}
# exclude 2 failing tests, TODO: figure out why, fix and send patch upstream
%{__python} setup.py nosetests -e "(test_ctor_w_path_nested_egg_info|test_ctor_w_package_no_PKG_INFO)"
%{?scl:EOF}

%files
%doc html README.txt
%{_bindir}/%{pypi_name}
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}%{?prerel}-py?.?.egg-info

%changelog
* Wed Oct 29 2014 Slavek Kabrda <bkabrda@redhat.com> - 1.2-0.1.b1
- Initial package.
